<?php

######################################################################
# PHP-NUKE: Web Portal System: AvantGo Add-on
# ===========================================
#
# This module is to view your last news items via Palm or Windows CE
# devices, using AvantGo software or compatible palm device browsers
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# Copyright (c) 2000 by Tim Litwiller - http://linux.made-to-order.net
######################################################################

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
        die ("이 파일로의 직접 접근 권한이 없습니다...");
}

require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

header("Content-Type: text/html");
echo "<html>\n"
    ."<head>\n"
    ."<title>도착한 최근 소식들$sitename</title>\n"
    ."<meta name=\"HandheldFriendly\" content=\"True\">\n"
    ."</head>\n"
    ."<body>\n\n\n"
    ."<div align=\"center\">\n";
$sql = "SELECT sid, title, time FROM ".$prefix."_stories ORDER BY sid DESC LIMIT 10";
$result = $db->sql_query($sql);
if (!result) {
    echo "오류가 발생했습니다.";
} else {
    echo "\t<a href=\"index.php\"><img src=\"images/logo.gif\" alt=\"$slogan\" title=\"$slogan\" border=\"0\"></a><br>\r\n"
        ."\t<h1><font size=\"2\" color=\"#00004F\"><div style=\"text-align:left;\">$sitename</div></font></h1>\r\n"
        ."\t<table border=\"0\" align=\"center\" width=\"98%\">\r\n"
        ."\t\t<tr>\r\n"
        ."\t\t\t<td bgcolor=\"#efefef\">&nbsp;&nbsp;"._TITLE."&nbsp;&nbsp;</td>\r\n"
        ."\t\t\t<td bgcolor=\"#efefef\">&nbsp;&nbsp;"._DATE."&nbsp;&nbsp;</td>\r\n"
        ."\t\t</tr>\r\n";
	echo "<font size=\"1\">";
    for ($m=0; $m < $db->sql_numrows($result); $m++) {
        $row = $db->sql_fetchrow($result);
        $sid = $row['sid'];
        $title = $row[title];
        $time = $row[time];
        echo "\t\t<tr>\r\n"
            ."\t\t\t<td><a href=\"modules.php?name=$module_name&file=print&sid=$sid\">$title</a></td>\r\n"
            ."\t\t\t<td>$time</td>\r\n"
            ."\t\t</tr>\r\n";
    }
    echo"\t</table>\r\n";
	echo "</font>";
}
echo "</body>\n"
    ."</html>";
include ("includes/counter.php");
die();

?>